package com.ruoyi.orderManagement.finance.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.orderManagement.finance.domain.FTmsaccbills;
import com.ruoyi.orderManagement.finance.domain.FTmsaccbillsFees;

import java.util.List;
import java.util.Map;


/**
 * 财务主Service接口
 * 
 * @author ruoyi
 * @date 2021-03-12
 */
public interface IFTmsaccbillsService 
{

    public Map<String, Object> selectFTmsaccbillsAndItemsById(Long fId);

    public List<Map<String, Object>> selectFTmsaccbillsMapList(FTmsaccbills fTmsaccbills);

    /**
     * 批量删除财务主
     * 
     * @param ids 需要删除的财务主ID
     * @return 结果
     */
    public int deleteFTmsaccbillsByIds(Long[] ids);

    /**
     * 删除财务主信息
     * 
     * @param id 财务主ID
     * @return 结果
     */
    public int deleteFTmsaccbillsById(Long id);

    public List<Map<String, Object>> fTmsaccbillsList(FTmsaccbillsFees fTmsaccbillsFees, String billsType);

    public AjaxResult insertTFeeTFeeDo(String tfee, String tfeeDo , LoginUser loginUser, String fBilltype);

    public AjaxResult queryRemove(Long fId);

    public AjaxResult confirm(String tfee, String tfeeDo ,String fBilltype);
}
